<?xml version="1.0"?>
<xsl:stylesheet  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:math="http://www.w3.org/1998/Math/MathML" >

	<xsl:strip-space elements="*"/>
	<xsl:template match="math:mean">
		<xsl:variable name="array" select="parent::math:apply/*[2]"/>
		<xsl:text>mean(</xsl:text>
		<xsl:value-of select="$array"/>
		<xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template match="math:variance">
		<xsl:variable name="array" select="parent::math:apply/*[2]"/>
		<xsl:text>variance(</xsl:text>
		<xsl:value-of select="$array"/>
		<xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template match="math:sdev">
		<xsl:variable name="array" select="parent::math:apply/*[2]"/>
		<xsl:text>standardDeviation(</xsl:text>
		<xsl:value-of select="$array"/>
		<xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template match="math:median">
		<xsl:variable name="array" select="parent::math:apply/*[2]"/>
		<xsl:text>median(</xsl:text>
		<xsl:value-of select="$array"/>
		<xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template match="math:mode">
		<xsl:variable name="array" select="parent::math:apply/*[2]"/>
		<xsl:text>mode(</xsl:text>
		<xsl:value-of select="$array"/>
		<xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template match="math:moment">
		<xsl:variable name="array" select="parent::math:apply/*[4]"/>
		<xsl:variable name="p" select="parent::math:apply/*[3]"/>
		<xsl:variable name="degree" select="parent::math:apply/*[2]"/>
		<xsl:text>moment(</xsl:text>
		<xsl:value-of select="$array"/>
		<xsl:text>, </xsl:text>
		<xsl:value-of select="$p"/>
		<xsl:text>, </xsl:text>
		<xsl:value-of select="$degree"/>
		<xsl:text>)</xsl:text>
	</xsl:template>
</xsl:stylesheet>
